//zzc: 2005-2-6 stub for network simulation on Cygwin
#ifdef __CYGWIN__

#include "armdefs.h"
unsigned long Pen_buffer[8];

void nic_init(void)
{
}
int tapif_init(int index,unsigned char *macaddr, unsigned char *hostip)
{
}
void  tapif_input(int tapif_fd, ARMul_State *state)
{
}
INT8U tapif_output(int tapif_fd, ARMul_State *state,INT8U startpage,INT16U packet_len)
{
}

INT8U nic_read(int nic_index, ARMul_State *state, INT8U offset) 
{
}
void nic_write(int nic_index, ARMul_State *state,INT8U offset, INT8U data) //offset should be 00-0f, 10 or 1f
{
}
int vnetif_init(int index,unsigned char *macaddr, unsigned char *hostip)
{
}

#endif